### Method

# RB Shell activate_source_by_uri

#### Declaration [src]

    gboolean
    rb_shell_activate_source_by_uri (
      RBShell* shell,
      const char* source_uri,
      guint play,
      GError** error
    )

#### Description [src]

Searches for a source matching `source_uri` and if found, selects it, and depending on the value of `play`, may start playing from it. Device-based sources will match the device node or mount point URI. Other types of sources may have their own URI scheme or format. This is part of the DBus interface.

#### Parameters

`source_uri`

  Type: `const char*`

  URI for the source to activate.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`play`

  Type: `guint`

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful.